1. Doc's Avatar
    I would like try Opera Browser on my EVO but I get a warning that it is for phones running 2.1 and I am running 2.2 FROYO.

    Can I put this on my phone or will I have problems?

    Thanks

    Doc
    10-23-2010 11:24 PM
  2. 2CupsWithString's Avatar
    This should be fine.. if it's a problem you can probably just un-install with no permanent issues.
    10-24-2010 09:28 PM
  3. racinwarrior's Avatar
    almost always yes you can
    10-25-2010 11:18 AM
  4. solo1's Avatar
    Just try it and see ... Either it will work or it wont.
    10-25-2010 11:56 AM
LINK TO POST COPIED TO CLIPBOARD